<?php
/**
 * OrderItemTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\OmsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * OMS
 *
 * Управление заказами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\OmsClient;

use PHPUnit\Framework\TestCase;

/**
 * OrderItemTest Class Doc Comment
 *
 * @category    Class
 * @description OrderItem
 * @package     Ensi\OmsClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class OrderItemTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "OrderItem"
     */
    public function testOrderItem()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "order_id"
     */
    public function testPropertyOrderId()
    {
    }

    /**
     * Test attribute "shipment_id"
     */
    public function testPropertyShipmentId()
    {
    }

    /**
     * Test attribute "offer_id"
     */
    public function testPropertyOfferId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "qty"
     */
    public function testPropertyQty()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "price_per_one"
     */
    public function testPropertyPricePerOne()
    {
    }

    /**
     * Test attribute "cost"
     */
    public function testPropertyCost()
    {
    }

    /**
     * Test attribute "cost_per_one"
     */
    public function testPropertyCostPerOne()
    {
    }

    /**
     * Test attribute "product_weight"
     */
    public function testPropertyProductWeight()
    {
    }

    /**
     * Test attribute "product_weight_gross"
     */
    public function testPropertyProductWeightGross()
    {
    }

    /**
     * Test attribute "product_width"
     */
    public function testPropertyProductWidth()
    {
    }

    /**
     * Test attribute "product_height"
     */
    public function testPropertyProductHeight()
    {
    }

    /**
     * Test attribute "product_length"
     */
    public function testPropertyProductLength()
    {
    }

    /**
     * Test attribute "offer_external_id"
     */
    public function testPropertyOfferExternalId()
    {
    }

    /**
     * Test attribute "offer_storage_address"
     */
    public function testPropertyOfferStorageAddress()
    {
    }

    /**
     * Test attribute "product_storage_area"
     */
    public function testPropertyProductStorageArea()
    {
    }

    /**
     * Test attribute "product_barcode"
     */
    public function testPropertyProductBarcode()
    {
    }

    /**
     * Test attribute "refund_qty"
     */
    public function testPropertyRefundQty()
    {
    }

    /**
     * Test attribute "created_at"
     */
    public function testPropertyCreatedAt()
    {
    }

    /**
     * Test attribute "updated_at"
     */
    public function testPropertyUpdatedAt()
    {
    }
}
